package com.brilliance.isc.common.rmbbop.vo;

import com.brilliance.isc.common.rmbbop.common.AbstractRmb;
import com.brilliance.isc.common.rmbbop.model.Tdqgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Rmb2123 extends AbstractRmb {
    private Tdqgrp recgrp;
    private String acp = NULLSTR;
    private String rmbbutflg = NULLSTR;
    private String ownref = NULLSTR;
    private String isbus = NULLSTR;

    @Override
    public String getObjtyp() {
        return "TDQ";
    }

    @Override
    public void clear() {
        super.clear();
        recgrp = new Tdqgrp();
        recgrp.reset();
    }

    @Override
    public void reset() {
        super.reset();
        if (recgrp == null) {
            recgrp = new Tdqgrp();
        }
        recgrp.reset();
    }
}
